
/*
This file is part of "Uakron Robot Project".

"Uakron Robot Project" is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

"Uakron Robot Project" is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Foobar; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*
 * This file contains functions that will be used to
 * interface with the IR sensors on the stomach of
 * the robot.
 *
 * @author John McGonnell
 */

#ifndef __IR_SENSOR_H_
#define __IR_SENSOR_H_

void initIR();

/**
	returns 8 bits. a '1' means that something black was detected.
*/
char getIR();

/**
	one boundry line sensor detected indicates a tag
	two boundry line sensors detected indicates a boundry line
*/

//used to detect the boundry line
#define LINE_L 0x20

//used to detect the boundry line
#define LINE_C 0x40

//used to detect the boundry line
#define LINE_R 0x80

//used to detect a tag not found by boundry line sensors
#define TAG_L 0x08

//used to detect a tag not found by boundry line sensors
#define TAG_R 0x10

//used to detect tags to the left of the RFID sensor
#define SENSOR_L 0x01

//used to detect tags under the RFID sensor
#define SENSOR_C 0X02

//used to detect tags to the right of the RFID sensor
#define SENSOR_R 0x04


#endif 
