/*
This file is part of "Uakron Robot Project".

"Uakron Robot Project" is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

"Uakron Robot Project" is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Foobar; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*
 * This file contains functions that will be used
 * to interface with the NES remote.
 *
 * @author John McGonnell 
 */ 


#ifndef __NES_REMOTE_H_
#define __NES_REMOTE_H_

void initNes();
char getButtons();

#define Button_A 0x80
#define Button_B 0x40
#define Button_Sel 0x20
#define Button_Start 0x10
#define Button_Up 0x08
#define Button_Down 0x04
#define Button_Left 0x02
#define Button_Right 0x01

#define B_BUTTON Button_B
#define A_BUTTON Button_A
#define SELECT_BUTTON Button_Sel
#define START_BUTTON Button_Start
#define UP_BUTTON Button_Up
#define DOWN_BUTTON Button_Down
#define LEFT_BUTTON Button_Left
#define RIGHT_BUTTON Button_Right

#endif
